OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
MoniTool

# MoniTool_TimerSentry Class Reference

A tool to facilitate using MoniTool_Timer functionality
by automatically ensuring consistency of start/stop actions
.

`#include <MoniTool_TimerSentry.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| MoniTool_TimerSentry (const Standard_CString cname)
| Constructor creates an instance and runs the corresponding timer .
| MoniTool_TimerSentry (const Handle(MoniTool_Timer)&timer)
| Constructor creates an instance and runs the corresponding timer .
void | Destroy ()
| Destructor stops the associated timer .
Standard_EXPORT | ~MoniTool_TimerSentry ()
Handle_MoniTool_Timer | Timer () const
void | Stop ()
| Manually stops the timer .
## Private Attributes
Handle_MoniTool_Timer | myTimer

## Constructor & Destructor Documentation

MoniTool_TimerSentry::MoniTool_TimerSentry | ( | const Standard_CString | cname | ) | `[inline]`

MoniTool_TimerSentry::MoniTool_TimerSentry | ( | const Handle(MoniTool_Timer)& | timer | ) | `[inline]`

Standard_EXPORT MoniTool_TimerSentry::~MoniTool_TimerSentry | ( |  | ) | `[inline]`

## Member Function Documentation

void MoniTool_TimerSentry::Destroy | ( |  | ) | `[inline]`

void MoniTool_TimerSentry::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MoniTool_TimerSentry::operator new | ( | size_t | size | ) | `[inline]`

void* MoniTool_TimerSentry::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void MoniTool_TimerSentry::Stop | ( |  | ) | `[inline]`

Handle_MoniTool_Timer MoniTool_TimerSentry::Timer | ( |  | ) | const

## Field Documentation

Handle_MoniTool_Timer MoniTool_TimerSentry::myTimer`[private]`

The documentation for this class was generated from the following files:

- MoniTool_TimerSentry.hxx
- MoniTool_TimerSentry.lxx